body,
html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #ddd;
    overflow: hidden;
    font-family: 'Roboto', sans-serif;
}

body {
    overflow: hidden;
}

/* Container Styles */
.container {
    text-align: center;
    z-index: 1;
    position: relative;
    top: -5%;
}

h1 {
    font-size: 3em;
    margin-bottom: 0.5em;
}

.button-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.button-container a {
    color: #ddd;
    text-decoration: none;
    font-size: 1.2em;
    margin: 0.5em 0;
    padding: 0.5em 1em;
    border: 2px solid #ddd;
    border-radius: 25px;
    transition: background-color 0.3s, color 0.3s;
    width: 200px;
    text-align: center;
}

.button-container a:hover {
    background-color: #ddd;
    color: black;
}

/* Canvas Styles */
canvas {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
}

/* Responsive Styles */
@media screen and (max-width: 600px) {
    h1 {
        font-size: 2em;
        margin-bottom: 0.3em;
    }

    .button-container {
        padding: 0 20px;
    }

    .button-container a {
        font-size: 1em;
        width: 80%;
        margin: 0.3em 0;
    }
}